// Name	::	Instant Dedicated Loader
// ================
// Made by	::	McTwist
// Date	::	09-06-29
// Info	::	Loads from a dedicated server
// License	::	Free to use
// ================

// Has to be dedicated
if (!$Server::dedicated)
{
	echo("DediLoad: No need on non-dedicated servers");
	return;
}

// Command to quick load the file
function ServerCmdDediLoad(%client, %name0, %name1, %name2, %name3, %name4)
{
	// Protect!
	if (%client.bl_id !$= getNumKeyId())
		return;
	dediLoad(%client, trim(%name0 SPC %name1 SPC %name2 SPC %name3 SPC %name4));
}

// Loads a file from the server
function dediLoad(%client, %name)
{
	%path = "saves/" @ MissionInfo.saveName @ "/" @ %name @ ".bls";
	WriteFromToFile(%path, "base/server/temp/temp.bls");
	
	// Load
	ServerCmdReloadBricks(%client);
}

// Writes information from a file to an another file
function WriteFromToFile(%from, %to)
{
	%fromStream = new fileObject();
	%toStream = new fileObject();
	%fromStream.openForRead(%from);
	%toStream.openForWrite(%to);
	
	while (!%fromStream.isEOF())
		%toStream.writeLine(%fromStream.readLine());
	
	%toStream.close();
	%fromStream.close();
	%toStream.delete();
	%fromStream.delete();
}